; sender_se.scm
; Usage: sender [ <message> ]   (default message is "Hello world!")
; numbers are multiplied with -1

(define sender-top-level (lambda (args)
  (let ((message (if (null? (cdr args)) (list "Hello" "world!") (cdr args)))
        (sock (scop-open "localhost" "sender")))
    (set! message (map (lambda (x)
                         (let ((n (string->number x)))
                           (if (integer? n)
                             (- n)
                             x)))
                       message))
    (scop-send-message-se sock "receiver" message)
    (scop-close sock)
    0)))
