; client.scm
; Usage: client [ <query> ]   (default query is "Hello world!")

(define client-top-level (lambda (args)
  (let* ((query (if (null? (cdr args)) "Hello world!" (list-ref args 1)))
         (sock (scop-open "localhost" "client"))
         (reply (scop-rpc sock "server" query)))
    (display "Query: ") (write query) (newline)
    (display "Reply: ") (write reply) (newline)
    ;(scop-free reply) ; needed in Scheme?
    (scop-close sock)
    0)))
