; client_se.scm
; Usage: client_se [ <query> ]  (default query is "Hello" "world!")

(define client-top-level (lambda (args)
  (let* ((query (if (null? (cdr args)) (list "Hello" "world!") (cdr args)))
         (sock (scop-open "localhost" "client"))
         (reply (scop-rpc-se sock "server" query)))
    (display "Query: ") (write query) (newline)
    (display "Reply: ") (write reply) (newline)
    ;(scop-free reply) ; needed in Scheme?
    (scop-close sock)
    0)))
