; server.scm

(define server-top-level (lambda (args)
 (let ((sock (scop-open "localhost" "server" 0)))
   (let iter ()
     (let* ((query (scop-get-message sock))
            (len (string-length query))
            (reply (make-string (* len 2))))
       (do ((i 0 (+ i 1)))
         ((>= i len))
         (string-set! reply (* i 2) (string-ref query i))
         (string-set! reply (+ (* i 2) 1) (string-ref query i)))
       (scop-send-reply sock reply)
       ;(scop-free query) ; needed in Scheme?
       (iter)
       ))
   (scop-close sock)
   0)))
